# Uses of Class
org.apache.sling.testing.resourceresolver.MockResourceResolverFactoryOptions

## Uses of MockResourceResolverFactoryOptions in org.apache.sling.testing.resourceresolver

Methods in org.apache.sling.testing.resourceresolver that return MockResourceResolverFactoryOptions
Modifier and Type
Method
Description
`@NotNull MockResourceResolverFactoryOptions`
MockResourceResolverFactoryOptions.`setEventAdmin(@Nullable org.osgi.service.event.EventAdmin eventAdmin)`
`@NotNull MockResourceResolverFactoryOptions`
MockResourceResolverFactoryOptions.`setMangleNamespacePrefixes(boolean mangleNamespacePrefixes)`
`@NotNull MockResourceResolverFactoryOptions`
MockResourceResolverFactoryOptions.`setMockResourceFactory(MockResourceFactory factory)`
`@NotNull MockResourceResolverFactoryOptions`
MockResourceResolverFactoryOptions.`setSearchPaths(@NotNull String @Nullable [] searchPaths)`
Constructors in org.apache.sling.testing.resourceresolver with parameters of type MockResourceResolverFactoryOptions
Modifier
Constructor
Description
``
`MockResourceResolver(MockResourceResolverFactoryOptions options, MockResourceResolverFactory factory, Map<String,Map<String,Object>> resources)`
``
`MockResourceResolver(MockResourceResolverFactoryOptions options, MockResourceResolverFactory factory, Map<String,Map<String,Object>> resources, Map<String,Object> attributes)`
``
`MockResourceResolverFactory(@NotNull MockResourceResolverFactoryOptions options)`
Create a new resource resolver factory.